Bug 429614 - RTL-ness in passphrase dialog isn't preserved
Summary: RTL-ness in passphrase dialog isn't preserved
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-21 22:38 UTC by Bill Nottingham
Modified: 2014-03-17 03:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:53:53 UTC
Type: ---


Attachments (Terms of Use)
video demonstrating the issue (99.65 KB, application/ogg)
2008-06-03 15:50 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2008-01-21 22:38:45 UTC
Description of problem:

The RTL-ness of the passphrase dialog isn't preserved if re-shown.

Version-Release number of selected component (if applicable):

rawhide-20080121

Steps to Reproduce:
1. Install in a RTL locale (Persian, Arabic, Hebrew, etc.)
2. Do something that would cause you to enter a passphrase for an encrypted volume
3. Re-edit that volume
  
Actual results:

'Enter passphrase' widget is pre-filled LTR.

'Confirm passphrase' widget is pre-filled RTL.

Expected results:

Both widgets use the same RTL-ness.

Comment 1 Bug Zapper 2008-05-14 04:49:45 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Andy Lindeberg 2008-06-02 20:26:05 UTC
Is this still a problem in F9?

Comment 3 Bill Nottingham 2008-06-03 15:50:53 UTC
Created attachment 308258 [details]
video demonstrating the issue

Yes, it still happens. Here's a screencast demonstrating - it even moves around
if you tab between fields.

Comment 4 Bug Zapper 2009-06-09 23:24:23 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 17:53:53 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.